///home/berryj/link/bin/genMethods "-t" "Testobj*" "-h" "Sequence" "-r" "Collection<Testobj*>" "-I" "LINK/basic/Sequence.h" "-I" "LINK/userobj/Testobj.h" "-d" "userobj" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>

#include <LINK/basic/Sequence.h>

#include <LINK/userobj/Testobj.h>

#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>
#include <LINK/stkWrapper/CollectionWrapper.h>


typedef Testobj* _Testobj_;
typedef Sequence<Testobj* > _Sequence_Testobj__;
static Sequence<Testobj* > s__Sequence_Testobj__;

#define _Sequence_Testobj__DATA(x) ((Sequence<Testobj* >*) (EXTDATA(x)))
#define _Sequence_Testobj__IS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Sequence<Testobj* > >::type))
#define _Sequence_Testobj__ISNT_DATA(x) (!_Sequence_Testobj__IS_DATA(x))

#define _Sequence_Testobj__CXX_DATA(x) (*(Sequence<Testobj* >*) (EXTDATA(VAL(x))))
#define _Sequence_Testobj__CXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Sequence<Testobj* > >::type))
#define _Sequence_Testobj__CXX_ISNT_DATA(x) (!_Sequence_Testobj__CXX_IS_DATA(x))


PRIMITIVE STk_init__Sequence_Testobj__()
{
	Wrapper<_Sequence_Testobj__>::type = STk_new_CXXwrapper_id(
			Wrapper<_Sequence_Testobj__>::name, 
			Wrapper<Collection<Testobj*> >::name,
			(void (*)(SCM x, SCM port, int mode))
			CollectionWrapper<_Testobj_>::displayTypedCollection,
			(void (*)(SCM x))CollectionWrapper<_Testobj_>::markTypedCollection,
			(void (*)(SCM x))CollectionWrapper<_Testobj_>::freeTypedCollection);
	Tcl_InitHashTable(&Register<_Sequence_Testobj__>::objTable, TCL_ONE_WORD_KEYS);
	return UNDEFINED;
}

void genExtra_Sequence_Testobj__Methods(void);

PRIMITIVE STk_init_methods__Sequence_Testobj__()
{
	genExtra_Sequence_Testobj__Methods();
	return UNDEFINED;
}
